Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Provisioning

Device provisioning and activation

Get provision token

post

Generate a provision token for device activation

Required permissions, when user-scoped authentication is used: PROVISION_DEVICES. User-scoped tokens that set ownerId different from authenticated user ID also require ORG_VIEW_USERS.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Body
orgIdinteger · int32Required

Organization ID, in which device should be created.

Example: 101
ownerIdinteger · int64Required

User ID, to which device will be assigned.

Example: 101
Responses
200

Provision token

application/json
tokenstringRequired

Provision token value

Example: gSNIYf9l7vdaLEMWK0jRCHT9RKe5rDSO
deviceIdinteger · int32Required

ID of the device associated with this token

Example: 101
post/api/v1/organization/device/provision/token
POST /api/v1/organization/device/provision/token HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "orgId": 101,
  "ownerId": 101
}
{
  "token": "gSNIYf9l7vdaLEMWK0jRCHT9RKe5rDSO",
  "deviceId": 101
}

Send reconfigure message to device

post

Send a reconfigure command to a device, putting it into access point mode for re-provisioning.

Required permissions, when user-scoped authentication is used: PROVISION_DEVICES. Required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can reconfigure only owned devices unless ORG_DEVICES_VIEW is granted.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Body
deviceIdinteger · int32Required

Device ID

Example: 101
Responses
200

Reconfigure message sent successfully

application/json
deviceIsOfflinebooleanOptional

Whether the device is offline (true if both Blynk and MQTT channels are offline)

Example: true
post/api/v1/organization/device/provision/reconfigure
POST /api/v1/organization/device/provision/reconfigure HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "deviceId": 101
}
{
  "deviceIsOffline": true
}

Get re-provision token

post

Generate a re-provision token for an existing device. Re-provisioning creates a new token but preserves the device ID and all other device data.

Required permissions, when user-scoped authentication is used: PROVISION_DEVICES. Required device view permission: OWN_DEVICES_VIEW or ORG_DEVICES_VIEW. User-scoped tokens can re-provision only owned devices unless ORG_DEVICES_VIEW is granted.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token obtained from authentication endpoint

Body
deviceIdinteger · int32Required

ID of the existing device to re-provision.

Example: 101
Responses
200

Re-provision token

application/json
tokenstringRequired

Provision token value

Example: gSNIYf9l7vdaLEMWK0jRCHT9RKe5rDSO
deviceIdinteger · int32Required

ID of the device associated with this token

Example: 101
post/api/v1/organization/device/provision/reprovision/token
POST /api/v1/organization/device/provision/reprovision/token HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "deviceId": 101
}
{
  "token": "gSNIYf9l7vdaLEMWK0jRCHT9RKe5rDSO",
  "deviceId": 101
}

Last updated

Was this helpful?